package colorpickertest;

import java.awt.AWTException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javafx.application.Application;
import javafx.application.Platform;
import javafx.scene.Scene;
import javafx.scene.control.ColorPicker;
import javafx.scene.layout.HBox;
import javafx.stage.Stage;
import org.jemmy.fx.Browser;

public class ColorPickerTest extends Application {
    private ColorPicker colorPicker;
    private Scene scene;

    @Override
    public void start(Stage stage) {
        colorPicker = new ColorPicker();
        
        HBox root = new HBox(20d);
        root.getChildren().add(colorPicker);
        scene = new Scene(root, 300, 250);

        stage.setScene(scene);
        stage.setTitle(System.getProperty("java.runtime.version") + "; " + System.getProperty("javafx.runtime.version"));
        
        Platform.runLater(new Runnable() {

            @Override
            public void run() {
                try {
                    Browser.runBrowser();
                } catch (AWTException ex) {
                    Logger.getLogger(ColorPickerTest.class.getName()).log(Level.SEVERE, null, ex);
                }
            }
        });
        stage.show();
        
    }

    public static void main(String[] args) {
        launch(args);
    }

}